incorrect feature count with rule based renderer

2011-04-14 12:00 PM - Mayeul Kauffmann

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13796

Description

The feature count does not work with the rule based renderer. Generally it shows 'r0'. Sometimes one symbol is (wrongly) shown with [n]

with n being the total number of features in the full datasource.

See attachment.

Correct behaviour: this should show the correct number of features, for the current zoom level.

History

#1 - 2011-04-14 12:17 PM - Mayeul Kauffmann

see also #3226-3

#2 - 2011-04-20 01:50 PM - Mayeul Kauffmann

Probably related is the fact that the following do not work with rule based renderer:

    -  Show only features in current extent in attribute table (no features are shown)

    -  Identify features (not-displayed features are identified as well)

    -  bug #3727: Features not represented with rule-based renderer still get labelled

#3 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:27 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2012-10-26 09:45 AM - Radim Blazek

- Pull Request or Patch supplied set to No

- Resolution set to fixed

- Assignee deleted (nobody -)

- Status changed from Open to Closed
Fixed in commit:779e166

    -  Feature counts for rule based renderer were already fixed in #5768

    -  Added renderer capabilities Filter and ScaleDependent to get info if rendering of features depends on scale or attributes

    -  Fixed attributes table for categorized and rule based renderer

    -  Fixed identify for categorized and rule based renderer

    -  Fixed attributes table and identify for scale out of layer limits

    -  Added auto reloading of table (if canvas dependent) if canvas extent or layer properties  cahnged

It was also requested above that number of features in legend should be calculated for current zoom level. I am not convinced about it, I think that number

of features for the whole vector is correct. It would be also performance problem to recalculate on each extent change. If it is really desired, it should be

optional (like for attribute table), in that case, please create a new ticket.

#7 - 2012-10-31 10:24 AM - Radim Blazek

Work done by Faunalia for Agence de l'eau Adour Garonne.

Files

incorrect_feature_count_rule_based_renderer.png 110 KB 2011-04-14 Mayeul Kauffmann

2024-04-27 2/2


